-- Customer specific once-script AADO#28926.sql to update contracttypes according to call
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xAADO28926.lst
SET DEFINE OFF

-- key 201 is contractsoort CORE CAT
UPDATE   cnt_contract
   SET   ins_discipline_key = 201
 WHERE   cnt_contract_nummer IN (612, 613, 614) AND cnt_contract_versie = 1;

-- key 201 is contractsoort CORE CAT 
UPDATE   cnt_contract
   SET   ins_discipline_key = 201
 WHERE   cnt_contract_nummer IN (687, 688) AND cnt_contract_versie = 0; 

-- key 402 is contractsoort COR VAR CATE COFFEE 
UPDATE   cnt_contract
   SET   ins_discipline_key = 402
 WHERE   cnt_contract_nummer = 692 AND cnt_contract_versie = 0; 

-- key 103 is contractsoort COR CLEA BUILDING OFFICE 
UPDATE   cnt_contract
   SET   ins_discipline_key = 103
 WHERE   cnt_contract_nummer = 699 AND cnt_contract_versie = 0; 
 
-- key 701 is contractsoort COR VAR VENDING 
UPDATE   cnt_contract
   SET   ins_discipline_key = 701
 WHERE   cnt_contract_nummer = 625 AND cnt_contract_versie = 1; 

-- key 701 is contractsoort COR VAR VENDING  
UPDATE   cnt_contract
   SET   ins_discipline_key = 701
 WHERE   cnt_contract_nummer = 705 AND cnt_contract_versie = 0; 

-- key 721 is contractsoort COR VAR CLEA BUILDING SAN
UPDATE   cnt_contract
   SET   ins_discipline_key = 721
 WHERE   cnt_contract_nummer = 710 AND cnt_contract_versie = 0; 
 
-- KEY 301 is contractsoort COR LAND GREEN 
UPDATE   cnt_contract
   SET   ins_discipline_key = 301
 WHERE   cnt_contract_nummer = 711 AND cnt_contract_versie = 0; 

-- KEY 741 is contractsoort COR KITCH EQUIPMENT 
UPDATE   cnt_contract
   SET   ins_discipline_key = 741
 WHERE   cnt_contract_nummer = 614 AND cnt_contract_versie = 1; 

COMMIT;

SPOOL OFF